<?php
// $Id: decorator_tests.php 2 2007-11-03 04:59:01Z fishbone $

require_once('simple_include.php');
require_once('calendar_include.php');

class DecoratorTests extends GroupTest {
    function DecoratorTests() {
        $this->GroupTest('Decorator Tests');
        $this->addTestFile('decorator_test.php');
        $this->addTestFile('decorator_textual_test.php');
        $this->addTestFile('decorator_uri_test.php');
    }
}

if (!defined('TEST_RUNNING')) {
    define('TEST_RUNNING', true);
    $test = &new DecoratorTests();
    $test->run(new HtmlReporter());
}
?>